{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}



    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);
            t.windowButtons.add=false;
            //t.windowButtons.delete=false;
            const gridConfig = {
                cm: [
                    {header: "{{ 'ProductionStorage.erprefnumber'|trans }}", dataIndex: 'erprefnumber', width: 70,filter:'single',alias:'ps',operator:'='},
                    {header: "{{ 'ProductionStorage.code'|trans }}", dataIndex: 'code', width: 110},
                    {header: "{{ 'ProductionStorage.number'|trans }}", dataIndex: 'number', width: 40,filter:'single',alias:'ps',operator:'='},
                    {header: "{{ 'ProductionStorage.stockcode'|trans }}", dataIndex: 'stockcode', width: 110},
                    {header: "{{ 'ProductionStorage.casename'|trans }}", dataIndex: 'casename', width: 90},
                    {header: "{{ 'ProductionStorage.start'|trans }}", dataIndex: 'start', width: 120},
                    {header: "{{ 'ProductionStorage.finish'|trans }}", dataIndex: 'finish', width: 120}
                ]
            };

            t._setGridConfig(gridConfig);

            const formConfig= {
                items: [
                    new mj.form.field({
                        dataIndex: 'id',
                        hidden: true
                    }),
                    new mj.form.field({
                        dataIndex: 'casemovementidin',
                        hidden: true
                    }),
                    new mj.form.field({
                        dataIndex: 'casemovementidout',
                        hidden: true
                    }),
                    new mj.form.textField({
                        title: "{{ 'ProductionStorage.erprefnumber'|trans }}",
                        dataIndex: 'erprefnumber',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2'
                    }),
                    new mj.form.textField({
                        title: "{{ 'ProductionStorage.code'|trans }}",
                        dataIndex: 'code',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2'
                    }),
                    new mj.form.numberField({
                        title: "{{ 'ProductionStorage.number'|trans }}",
                        dataIndex: 'number',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:50,
                        grid: 's4 m2'
                    }),
                    new mj.form.textField({
                        title: "{{ 'ProductionStorage.stockcode'|trans }}",
                        dataIndex: 'stockcode',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2'
                    }),
                    new mj.form.textField({
                        title: "{{ 'ProductionStorage.casename'|trans }}",
                        dataIndex: 'casename',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2'
                    }),
                    new mj.form.dateField({
                        title : "{{ 'ProductionStorage.start'|trans }}",
                        dataIndex : 'sdate',
                        labelWidth : '90px',
                        width : 80
                    }),
                    new mj.form.timeField({
                        title : '-',
                        labelWidth : '10px',
                        right : true,
                        itemStyle : 'width:70px;',
                        dataIndex : 'stime',
                        width : 50,
                        maxLength: 5
                    }),
                    new mj.form.dateField({
                        title : "{{ 'ProductionStorage.finish'|trans }}",
                        dataIndex : 'fdate',
                        labelWidth : '90px',
                        width : 80
                    }),
                    new mj.form.timeField({
                        title : '-',
                        labelWidth : '10px',
                        right : true,
                        itemStyle : 'width:70px;',
                        dataIndex : 'ftime',
                        width : 50,
                        maxLength: 5
                    }),
                    new mj.form.numberField({
                        title: "{{ 'ProductionStorage.quantity'|trans }}",
                        dataIndex: 'quantity',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:50,
                        grid: 's4 m2'
                    })
                    
                ]
            };
            t._setFormConfig(formConfig);

        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
